---
updatedAt: 2026-10-01T05:47:38.000Z
agentTools:
  projectIndex: https://docs.nexhealth.com/llms.txt
---

# View insurance plans

This endpoint returns a list of insurance plans. All filters are optional: without any filters, every insurance plan for the institution is returned. You can narrow the results by payer_id, group_num or updated_since. Soft-deleted plans are excluded unless include_deleted is true.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NexHealth API v3.0.0 (Default)",
    "description": "v3.0.0 and v20240412 are two names for the same API version; the Nex-Api-Version header accepts either value. This is the current default API version.\n\nWelcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.",
    "termsOfService": "https://www.nexhealth.com/terms-of-service",
    "contact": {
      "name": "NexHealth",
      "email": "info@nexhealth.com"
    },
    "license": {
      "name": "NexHealth License 1.0",
      "url": "https://www.nexhealth.com/privacy"
    },
    "version": "v20240412"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Insurance",
      "description": "An insurance resource"
    }
  ],
  "paths": {
    "/insurance_plans": {
      "get": {
        "summary": "View insurance plans",
        "description": "This endpoint returns a list of insurance plans. All filters are optional: without any filters, every insurance plan for the institution is returned. You can narrow the results by payer_id, group_num or updated_since. Soft-deleted plans are excluded unless include_deleted is true.",
        "parameters": [
          {
            "in": "header",
            "name": "Nex-Api-Version",
            "description": "The NexHealth API version",
            "required": true,
            "schema": {
              "type": "string",
              "default": "v3.0.0"
            }
          },
          {
            "in": "query",
            "name": "subdomain",
            "description": "Used to scope the request to the specified institution",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "start_cursor",
            "description": "First item of the current page. Starts empty",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "end_cursor",
            "description": "Last item of the current page. Starts empty",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "per_page",
            "description": "Number of results to return per page. Maximum allowed amount is 1000.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 5
            }
          },
          {
            "in": "query",
            "name": "sort",
            "description": "Optional comma-separated string of fields to sort on.\nInclude a leading dash for descending order.\n\nAvailable fields:\n  * updated_at\n  * -updated_at\n",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "updated_since",
            "description": "Insurance plans updated at or after the specified time (UTC). The comparison is inclusive, so a record whose updated_at exactly equals the given value is returned",
            "required": false,
            "example": "2024-04-12T10:30:00Z",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "in": "query",
            "name": "payer_id",
            "description": "A unique ID number that is assigned to an insurance company for the purpose of transmitting provider claims electronically",
            "required": false,
            "example": "87726",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "group_num",
            "description": "Filter for plans with the specified group number",
            "required": false,
            "example": "12345",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "include_deleted",
            "description": "Include soft-deleted insurance plans in the results",
            "required": false,
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/API_Entities_Insurance_EhrPlan_Collection_Response_WithCursor"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Forbidden"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_InternalServerError"
                }
              }
            }
          }
        },
        "tags": [
          "Insurance"
        ],
        "operationId": "getInsurancePlans"
      }
    }
  },
  "servers": [
    {
      "url": "https://nexhealth.info"
    }
  ],
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "API_Errors_BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_BadRequest model"
      },
      "API_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Unauthorized model"
      },
      "API_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Forbidden model"
      },
      "API_Errors_InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_InternalServerError model"
      },
      "API_Entities_Insurance_EhrPlan_Collection_Response_WithCursor": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "example": false,
            "description": "Indicates the success or failure of the request"
          },
          "description": {
            "type": "string",
            "example": "Description",
            "description": "Additional context on the request to help with debugging."
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Error message"
            ],
            "description": "Any errors that occur during the execution of the request."
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_Entities_Insurance_EhrPlan"
            }
          },
          "page_info": {
            "type": "object",
            "example": {
              "has_previous_page": false,
              "has_next_page": false,
              "start_cursor": "AAAAA",
              "end_cursor": "BBBBBB"
            },
            "description": "Pagination information that can be used for fetching previous and next pages."
          }
        },
        "description": "API_Entities_Insurance_EhrPlan_Collection_Response_WithCursor model"
      },
      "API_Entities_Insurance_EhrPlan": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 18,
            "description": "Plan id"
          },
          "payer_id": {
            "type": "string",
            "example": "87726",
            "description": "A unique ID number that is assigned to an insurance company for the purpose of transmitting provider claims electronically",
            "nullable": true
          },
          "name": {
            "type": "string",
            "example": "United Healthcare",
            "description": "Plan name",
            "nullable": true
          },
          "address": {
            "type": "string",
            "example": "123 Law St",
            "description": "Street address",
            "nullable": true
          },
          "address2": {
            "type": "string",
            "example": "85335, North East",
            "description": "Street address 2",
            "nullable": true
          },
          "city": {
            "type": "string",
            "example": "New York",
            "description": "City",
            "nullable": true
          },
          "state": {
            "type": "string",
            "example": "NY",
            "description": "2 letter state code",
            "nullable": true
          },
          "zip_code": {
            "type": "string",
            "example": "54700",
            "description": "Zip code",
            "nullable": true
          },
          "country_code": {
            "type": "string",
            "example": "US",
            "description": "2 letter country code",
            "nullable": true
          },
          "group_num": {
            "type": "string",
            "example": "12345",
            "description": "Group number",
            "nullable": true
          },
          "employer_name": {
            "type": "string",
            "example": "Walmart",
            "description": "Employer name",
            "nullable": true
          },
          "foreign_id": {
            "type": "string",
            "example": "1",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it.",
            "nullable": true
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2020-06-05T20:16:57.007Z",
            "description": "Insurance Plan update date in UTC"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "example": "2024-09-15T11:21:26.003Z",
            "description": "The UTC date and time the insurance plan was deleted. Null unless the plan is soft-deleted; deleted plans are only returned when include_deleted is true",
            "nullable": true
          }
        }
      }
    }
  }
}
```